LANGEN2KVTML(1)

NAME
langen2kvtml - convert Langenscheidt data files to KVocTrain data files

SYNOPSIS
langen2kvtml [ --lang=xx ] [ --trans=xx ] [ --author=name ] [ --longlesson ] [ --outdir=dir ] [ --proxy=proxy ] { --country=xx | vocfile ... }

DESCRIPTION
langen2kvtml is a script that will convert Langenscheidt data files (*.voc) to KVocTrain data files (*.kvtml).

For each Langenscheidt data file given on the command-line, a corresponding KVocTrain data file will be created. If no Langenscheidt data files are given, a set of data files for the given country (see the --country option) will be downloaded from the internet and converted. If neither data files nor a country are specified, country GB (Great Britain) will be assumed.

Note that you must run KVocTrain at least once before this script can be used. In some circumstances this script will edit the user's KVocTrain preferences file.

This utility is part of the official KDE edutainment module.

OPTIONS

--lang=xx
    Specifies the original language used in the data file(s). The script will try to guess this based on the names of the Langenscheidt data files.

--trans=xx
    Specifies the translated language used in the data file(s). This defaults to de (Deutsch).

--author=name
    Specifies the author of the data file(s). This defaults to http://www.vokabeln.de.

--longlesson
    Specifies that long lesson names should be used in the converted KVocTrain data file(s). Short lesson names are the default.

--outdir=dir
    Specifies that the converted KVocTrain data files be written in the given directory. This defaults to the current directory.

--proxy=proxy
    Specifies a proxy to use when downloading Langenscheidt data files from the internet.

--country=xx
    Requests that Langenscheidt data files for the given country be downloaded from the internet and converted. The country should be specified by the code used at http://www.vokabeln.de/, such as GB for Great Britain, D for Germany and so on.

SEE ALSO
kvoctrain(1), spotlight2kvtml(1).

Langenscheidt data files can be downloaded directly from http://www.vokabeln.de/files.htm.

AUTHOR
langen2kvtml was written by Andreas Neuper.
This manual page was prepared by Ben Burton <bab@debian.org> for the Debian GNU/Linux system (but may be used by others).